
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pcmcia/pdaudiocf/pdaudiocf.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)

diff -puN sound/pcmcia/pdaudiocf/pdaudiocf.c~pcmcia-id_table-for-pdaudiocfc sound/pcmcia/pdaudiocf/pdaudiocf.c
--- 25/sound/pcmcia/pdaudiocf/pdaudiocf.c~pcmcia-id_table-for-pdaudiocfc	2005-02-28 15:49:16.000000000 -0800
+++ 25-akpm/sound/pcmcia/pdaudiocf/pdaudiocf.c	2005-02-28 15:49:16.000000000 -0800
@@ -374,13 +374,20 @@ static int pdacf_event(event_t event, in
 /*
  * Module entry points
  */
+static struct pcmcia_device_id snd_pdacf_ids[] = {
+	PCMCIA_DEVICE_MANF_CARD(0x015d, 0x4c45),
+	PCMCIA_DEVICE_NULL
+};
+MODULE_DEVICE_TABLE(pcmcia, snd_pdacf_ids);
+
 static struct pcmcia_driver pdacf_cs_driver = {
 	.owner          = THIS_MODULE,
 	.drv            = {
 		.name   = "snd-pdaudiocf",
 	},
 	.attach         = snd_pdacf_attach,
-	.detach         = snd_pdacf_detach
+	.detach         = snd_pdacf_detach,
+	.id_table	= snd_pdacf_ids,
 };
 
 static int __init init_pdacf(void)
_
